import React from 'react';
import PropTypes from 'prop-types';
import '../../src/index.css'

export const Form = ({ onAdd, editId, text, setText, mark, setMark, onEdit, editMode }) => {

    const handleSubmit = (e) => {
        e.preventDefault()

        if (!text) {
            alert('Please Enter Student Name');
            return;
        } else if (!mark) {
            alert('Please Enter Mark');
            return;
        }

        onAdd({
            mark: mark,
            text: text,
        });

        setText('');
        setMark('');
    }

    return (
        <form className='add-form' onSubmit={!editMode ? handleSubmit : () => onEdit(editId)}>
            <div className='form-ctrl'>
                <label>Student Name</label>
                <input type='text' placeholder='Name' value={text} onChange={(e) => setText(e.target.value)} />
            </div>
            <div className='form-ctrl'>
                <label>Mark</label>
                <input type='number' placeholder='Mark' value={mark} onChange={(e) => setMark(e.target.value)} />
            </div>
            {!editMode ?
                < input type='submit' value='Save' className='button button-block' ></input> :
                < input type='submit' value='Update' className='button button-block' ></input>}
        </form >
    )
}

Form.propTypes = {
    editMode: PropTypes.bool,
    handleSubmit: PropTypes.func,
    onEdit: PropTypes.func,
    editId: PropTypes.string,
    text: PropTypes.string,
    mark: PropTypes.string,
    // setText: PropTypes.func,
    // setMark: PropTypes.func,
    onAdd: PropTypes.func
};

export default Form
